# GenericArrayTypeMatcher

data class GenericArrayTypeMatcher (val componentMatcher: TypeMatcher ) : TypeMatcher

A TypeMatcher that matches a generic array type.

#### Parameters

componentMatcher

the TypeMatcher for the component type of the array.

#### See also

GenericArrayType.getGenericComponentType
Class.getComponentType

## Constructors

GenericArrayTypeMatcher
Link copied to clipboard
constructor(componentMatcher: TypeMatcher )

## Properties

componentMatcher
Link copied to clipboard
val componentMatcher : TypeMatcher

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

matches
Link copied to clipboard
open override fun matches (type: Type ): Boolean

Check if the type matches the given type.